Subject: Re: rethinking patch management with GIT / topgit

From: Petr Baudis <[email-masked]>
Date: Mon, 22 Mar 2010 20:30:35 +0100

On Mon, Mar 22, 2010 at 08:59:40AM +0100, Thomas Koch wrote:
> In all three cases you're free to either keep or throw away the old patchset.

Yes, but to the same degree e.g. with StGIT I'm free to keep the head of
the old patch series. That does not mean the operation *preserves* the
history, only that the history is still around somewhere in the
repository, however it won't be around in other incarnations of the
repository and it will not be connected in any way to the current
version of the patchset.

Yes, if you are lucky you can figure out the name of the previous
version, but it's like starting development of each new kernel version
by a clean import of the sources.

-- 
				Petr "Pasky" Baudis
http://pasky.or.cz/ | "Ars longa, vita brevis." -- Hippocrates